# DeleteRule

    public enum DeleteRule

These constants define what happens to relationships when an object is deleted.

### Public

- `nullify`

  If the object is deleted, back pointers from the objects to which it is related are nullified.

  #### Declaration

  Swift

      case nullify

- `cascade`

  If the object is deleted, the destination object or objects of this relationship are also deleted.

  #### Declaration

  Swift

      case cascade

- `deny`

  If the destination of this relationship is not nil, the delete creates a validation error.

  #### Declaration

  Swift

      case deny